@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700,800,800i,900|Quicksand:300,400,500,700&subset=cyrillic,cyrillic-ext,latin-ext,vietnamese');
/* ======================== GOOGLE MAPS */
/* Target the main content div */
.gm-style-iw-d {
		margin: -12px !important;
    margin-right: -19px !important;
}

/* Target the content area if needed */
.gm-style-iw-content {
  padding: 0 !important; /* Remove default padding */
  background: none !important; /* Remove default background if desired */
}

/* If you have a close button issue */
.gm-style-iw-chr {
  height: 10px; /* Adjust if needed */
}
/* ======================== WEB */
#cont_cuerpoweb {
    margin-top: 55px;
}
/* ======================== SISTEMA */
body {
	background-color: #fff !important;
}
body,
.btn,
.form-select,
.form-control,
.dropdown-item,
/*.modal-body .badge,*/
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option,
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field,
.select2-container--bootstrap-5 .select2-selection {
    font-family: 'Quicksand', sans-serif;
    font-size: 14px;
    font-weight: bold;
    /*white-space: nowrap;*/
}
.text-bg-light {
    color: #ffffff !important;
    background-color: rgb(6 103 201) !important;
}
.text-bg-warning {
    color: #ffffff !important;
    background-color: rgb(169 126 0) !important;
}
.text-bg-info {
    color: #ffffff !important;
}
.cke_button_shorcode > span {
		background-position:0 -504px !important;background-size:auto !important;
}
/*.modal-body .badge{
    font-size: 10px;
}*/
.modal-content {
    background-color: #e4e4e4;
}
.bg-tertiary {
		background-color: #b7b7b7 !important;
		color: #000 !important;
}
.bg-cuaternario {
		background-color: #cecece !important;
		color: #000 !important;
} 

.btn-close {
		background-color: #fff;
    padding: 6px !important;
    border-radius: 15px;
    margin-top: -5px !important;
    margin-bottom: -4px !important;
		margin-right: 0px !important;
}
#content_index .btn-close {
		margin-right: 5px !important;
}
.select2-container {
    width: 100% !important;
}
.select2-container--bootstrap-5 .select2-selection--single {
    padding: 5px 7px;
    
}
.select2-selection--single {
  height: 100% !important;
}
.select2-selection__rendered{
  word-wrap: break-word !important;
  text-overflow: inherit !important;
  white-space: normal !important;
}
.select2-container--bootstrap-5 .select2-selection--multiple .select2-selection__rendered .select2-selection__choice {
    padding: 2px 6px;
    margin: 2px;
    margin-bottom: 0;
    font-size: inherit;
    border-radius: 4px;
    background-color: white;
}
.select2-container--bootstrap-5 .select2-selection--multiple .select2-selection__rendered {
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-start;
}
.select2-container--bootstrap-5 .select2-selection {
    padding: 0px;
}
.select2-container--bootstrap-5 .select2-selection--multiple .select2-search .select2-search__field {
    padding: 5px 7px;
}
.select2-container--bootstrap-5 .select2-selection--multiple .select2-selection__rendered .select2-selection__choice .select2-selection__choice__remove {
    width: 8px;
    height: 8px;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-search {
    padding: 5px;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
    padding: 5px;
}
.form-check-input {
		width: 20px;
    height: 20px;
		border-color: !important;
}
.form-check-label {
		padding-top: 4px;
    padding-left: 2px;
}
.form-check-input {
    box-shadow: none !important;
}
.form-check-input:disabled~.form-check-label, .form-check-input[disabled]~.form-check-label {
    opacity: 1;
}

.badge {
		font-size: 12px;
}
.selected_textura {
    background-image: url(../../../sistema/general/imagen/text3.png) !important;
}
/*select+.select2-container--bootstrap-5 {
    height: 28px !important;
}*/
.alert {
    --bs-alert-padding-x: 5px;
    --bs-alert-padding-y: 5px;
    --bs-alert-margin-bottom: 0px;
}
.col-form-label {
    font-weight: bold;
    padding-bottom: 0px;
    line-height: 0.9;
}
.modal-body .mb-1{
    margin-bottom: 2px !important;
}
.modal-body .ms-1{
    margin-left: 2px !important;
}
.modal-body .me-1{
    margin-right: 2px !important;
}
.modalfooter {
    cursor: pointer;
}
.modalfooter:hover {
    cursor: pointer;
}
.modalfooter > div {
    margin: auto;
    padding: 2px 0;;
}
/*.navbar-brand,
.modal-title {
    font-size: 16px;
}*/    
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field {
    padding: 5px 7px;
    height: 28px !important;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field,
.form-select,
.form-control {
    border-color: #aaa;
    border-radius: 4px;
    box-shadow: none;
    border-width:1px;
}
.select2-container--bootstrap-5 .select2-selection {
    border-color: #aaa;
    border-width: 1px;
    min-height: 33px !important;
}
.select2-container--bootstrap-5 .select2-dropdown {
    border-width: 1px;
}
/*.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered,
.form-select,
.form-control {
    font-weight: bold;
}*/
.form-select,
.form-control {
    padding: 5px 7px !important;
    /*line-height: 1.3;*/
    /*height: 28px !important;*/
}
.form-control-lg,
.btn-lg{
    min-height: 36px !important;
}
.input-group-text {
    padding: 5px 7px !important;
		font-size: 14px;
		border-color: #aaa !important;
		color: #000;
		font-weight: bold;
}
mark {
    background-color: #fac20e;
    padding: 0;
    border-radius: 4px;
}
.form-control:focus,
.form-select:focus,
.select2-container--bootstrap-5.select2-container--open .select2-selection,
.select2-container--bootstrap-5.select2-container--focus .select2-selection,
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field:focus {
    box-shadow: none;
    border-width:1px;
    /*padding: 0;*/
}
.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered {
    line-height: 1.3;
    font-weight: bold;
    padding: 5px 7px;
}
.select2-container--bootstrap-5.select2-container--disabled .select2-selection {
    border-color: #aaaaaa;
}
.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered .select2-selection__placeholder {
    white-space: nowrap;
}
.fs-7 {
    font-size: 14px;
}
.rounded {
    border-radius: 4px !important;
}
.ql-container {
    padding: 5px;
    overflow-x: auto;
}
.ql-editor {
    width: 771px;
    overflow-y: auto;
    background-color: #fff;
    margin: auto;
    border-radius: 5px;
		padding: 40px !important;
}
.ql-toolbar {
		text-align: center;
}
.ql-shorcode {
}
.ql-shorcode::before  {
		font-family: FontAwesome;
  	content: "\f7e9";
}
.ql-shorcode_leyenda::before  {
  	content: "Leyenda";
}
/*
.border-bottom {
    border-bottom: var(--bs-border-width) var(--bs-border-style) #ced4da !important;
}*/
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected {
    background-color: #fff;
    color: #000;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--highlighted {
    color: #000 !important;
}
.dropdown-item.active {
    background-color: #dfdfdf60 !important;
}
/* btn */
.bg-success,
.btn-success {
		background-color: #05be50 !important;
		border-color: #05be50 !important;
		color: #000;
}
.bg-success-50 {
		background-color: #05be5050 !important;
		border-color: #05be5050 !important;
		color: #000 !important;
}
.bg-danger-50 {
		background-color: #dc354550 !important;
		border-color: #dc354550 !important;
		color: #000 !important;
}
.bg-info,
.btn-info {
		background-color: #00c7d1;
        border-color: #00c7d1;
		color: #000;
}
.bg-light,
.btn-light {
    background-color: #bfbfbf !important;
		border-color: #bfbfbf;
		color: #000;
}
.bg-warning,
.btn-warning {
		/*background-color: #c19102;
		border-color: #c19102;*/
		color: #000;
}
.bg-danger,
.btn-danger {
		color: #000;
}
.bg-danger:hover,
.btn-danger:hover {
		color: #000;
}
.bg-secondary, .btn-secondary {
    background-color: #036bc1 !important;
    border-color: #036bc1 !important;
    color: #ffffff;
}

.alert-danger {
    border-color: #8b232e;
}

.alert-warning {
    background-color: #ffe176;
    border-color: #cb9b0e;
		color: #382d06;
}
.alert-info {
    background-color: #74e6ff;
    border-color: #3eaec7;
		color: #02232b;
}
.alert-success {
    background-color: #41f1a1;
    border-color: #3cbf84;
		color: #093f26;
}

/*.active>.page-link,
.bg-primary,
.btn-primary {
    background-color: #008cea;
}
.form-control:focus,
.form-select:focus,
.select2-container--bootstrap-5.select2-container--open .select2-selection,
.select2-container--bootstrap-5.select2-container--focus .select2-selection,
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field:focus,
.select2-container--bootstrap-5 .select2-dropdown,
.btn-primary,
.border-primary,
.border-primary:focus {
    border-color: #008cea !important;
}*/
/*.text-primary {
    color: #008cea !important;
}
.dropdown-item.active,
.bg-secondary {
    background-color: #212529 !important;
}*/
.nav-link {
    color: #000;
}
.nav-link:hover {
    color: #000;
}
.nav-tabs {
	border-bottom: 1px solid;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #fff;
}
.nav-link.show {
    border-bottom-width: 2px !important;
    border-style: solid;
}
.navbar-nav .dropdown-menu {
    border-bottom-width: 1px !important;
    border-style: solid;
		margin-top: 5px;
}
.dropend .dropdown-menu[data-bs-popper] {
    margin-left: 0;
}
.fs-6,.fs-7 {
    line-height: 1.2;
}
/* jstree */
.jstree {
    background-color: white;
    border: 1px solid #aaaaaa;
    border-radius: 4px;
}
/*.jstree-default>.jstree-no-dots .jstree-leaf>.jstree-ocl {
    width: 0;
}*/
/*.jstree-default .jstree-node {
    min-height: 30px;
    line-height: 30px;
}
.jstree-default .jstree-anchor {
    line-height: 30px;
    height: 30px;
}
.jstree-default .jstree-icon:empty {
    height: 30px;
    line-height: 30px;
}
.jstree-default.jstree-checkbox-selection .jstree-clicked>.jstree-checkbox {
    background-position: -226px -1px;
}*/
/* Scroll bar */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey; 
  border-radius: 4px;
}
::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color:rgba(var(--bs-primary-rgb),var(--bs-bg-opacity))!important;
}
.fancybox__container {
	z-index:10000 !important;
}
/*---- table  ----*/
/*tfoot {
    display: table-header-group;
}*/
/*.dataTables_scrollHead .dropdown-menu {
    overflow: overlay !important; 
    overflow-x: overlay !important; 
    overflow-y: overlay !important; 
}    */
/*.dataTables_scrollHead {
    overflow: initial !important;
    overflow-x: initial !important;
    overflow-y: initial !important;
}*/
.dataTables_scrollHead {
    position: static !important;
}
.dataTables_scrollHead .dropdown {
    position: inherit !important;
}

.dataTables_wrapper .dataTables_info {
    padding-top: 0px;
    font-weight: bold;
}
.table-striped> tbody > tr:nth-of-type(even)>* {
    background-color: #ffffff !important;
}
.table-striped> tbody > tr:nth-of-type(odd)>* {
    background-color: #ffffffa6 !important;
}
table.dataTable tbody tr:hover>* {
    box-shadow: none !important;
    background-color: #008cea40 !important;
    color: #000 !important;
}
/*table.dataTable {
  border-collapse: collapse;
  border: 1px solid #ddd;
}*/
.table {
    margin-bottom: 0px;
}
.table tr th,
.table tr td {
    /*padding: 5px !important;*/
		height: 35px;
		white-space: nowrap;
}
.table>:not(caption)>*>* {
    border-bottom-width:  0px !important;
		padding: 5px;
    line-height: 1.0;
    vertical-align: middle;
    height: 28px;
}
.table>:not(caption)>*>* .mb-1 {
    /*margin-bottom: 0px !important;*/
}
table.dataTable>thead>tr>th, 
table.dataTable>thead>tr>td {
    border-bottom: 0px solid rgba(0, 0, 0, 0.3);
}
table.dataTable>tfoot>tr>th, 
table.dataTable>tfoot>tr>td {
    border-top: 0px solid rgba(0, 0, 0, 0.3);
}
table.dataTable tbody tr.selected>* {
		background-color: rgb(176 207 254) !important;
    box-shadow: none !important;
    color: #000 !important;
}
.table > tbody > tr > td, .table > tfoot > tr > td {
    /*white-space: nowrap;*/
    font-weight: bold;
    white-space: nowrap;
}
.table-overflow-auto tbody {
  display: block; /* Important for tbody to respect height and overflow */
  /*height: 311px;*/
  overflow-y: auto; /* Adds vertical scrollbar only when content overflows */
}

.table-overflow-auto thead, 
.table-overflow-auto tfoot, 
.table-overflow-auto tbody tr {
  display: table; /* Or table-row for tr */
  width: 100%; /* Ensures thead and tbody rows take full width */
  table-layout: fixed; /* Helps maintain consistent column widths */
}
.table-overflow-auto thead.table-overflow-auto-barra, 
.table-overflow-auto tfoot.table-overflow-auto-barra {
    width: calc(100% - 10px)
}

.table-img {
		height: 33px;
    width: 50px;
    margin: 1px;
}

.dropend > .dropdown-menu > li > a {
    color: #fff;
}
.dropdown-item {
		cursor: pointer;
}
.dropdown-item:hover {
    background-color: rgb(176 207 254);
}
.dropdown-item:active {
    background-color: rgb(176 207 254);
}
.dropdown-item:focus {
    background-color: rgb(176 207 254);
}
/*.dropdown-menu {
    --bs-dropdown-link-hover-bg: #FFFFFF20 !important;
}*/

/*.page-link {
    color: #212529;
}*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
.border-info {
    border-color: #0ca6d1 !important;
}
.text-bg-info,
.btn-info,
.bg-info {
    background-color: #0ca6d1 !important;
}
.input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu):not(.form-floating) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    margin-left: calc(var(--bs-border-width) * -1);
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}
.jstree-default .jstree-wholerow-clicked {
    background: linear-gradient(to bottom,#beebff00 0,#a8e4ff00 100%);
}
.container {
    --bs-gutter-x: 10px;
}

.form-load {
    float: right;
    margin-bottom: -33px;
    margin-top: 1px;
    margin-right: 1px;
		width: 100%;
    text-align: center;
}
.popover-body {
    padding: 7px 10px;
    line-height: 1.3;
    font-size: 14px;
}
/*.table-secondary th,
.btn-secondary {
    background-color: #212529 !important;
    border-color: #212529 !important;
    color: #ffffff;
}*/
.btn-tertiary {
    background-color: #2F3B59 !important;
    border-color: #2F3B59 !important;
}
#open-menuprincipal {
    border-radius: 5px;
    transition-delay: 0.3s;
    background-color: #008cea;
    padding: 6px;
    padding-left: 8px;
    padding-right: 8px;
    color: #ffffff;
    margin-left: 10px;
    display:none !important;
}
.cont_menu_mobile {
    display: none;
}
.ruta_sesion {
    cursor: pointer;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/*.dropdown-menu {
    margin-top: 0px !important;
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}*/
@media (max-width: 576px) {
    .text-end {
        text-align: left !important;
    }
    .col-form-label {
        padding-top: 1px;
    }
    .ruta_sesion {
        width: 85px;
    }
    .cont_menu_mobile {
        padding-left: 0;
    }
    .dropdown-toggle::after {
        color: transparent;
    }
    .logo_grande {
        display: none;
    }
    .logo_icono {
        display: block !important;
    }
}
@media (max-width: 991px) {
    .cont_menu_mobile {
        display: block;
    }
    .cont_menu_pc {
        display: none;
    }
    .cont_logo_mobile {
        position: absolute;
    }
    #cont_cuerpobackoffice {
        margin-top: 94px;
    }
    .offcanvas.offcanvas-start {
        top: 0px !important;
    }
    .dropdown-menu.show {
        margin-top: 0px;
    }
}
td > .dropdown {
    margin-top: 1px;
}
.navbar-toggler:focus {
    box-shadow: none;
}
.modal-title {
    font-weight: bold;
}
.modal-dialog{
    overflow-y: initial !important
}
.modal-fullscreen {
    padding: 5px;
}
.modal-fullscreen .modal-body {
    max-height: calc(100vh - 46px);
}
.modal-body{
    max-height: calc(100vh - 149px);
    overflow-y: auto;
    padding-bottom: 2px !important;
}
@media (max-height: 360px) {
    .modal-body{
        overflow-y: inherit;
    }
}
div.object-fit-cover {
    background-repeat: no-repeat;background-size: cover;background-position: center;
}

/*.modal-header,
.modal-body,
.modal-footer {
    padding: 5px;
}*/
input[type="color"] {
    height: 35px;
    padding: 2px;
}
.table tbody tr th label,
.table tbody tr td label,
.table thead tr th label,
.table thead tr td label {
    padding-left:2px;
    padding-right:2px;
}
/*.table thead tr th {
    padding-left:2px;
    padding-right:2px;
}
.table tbody tr td {
    padding-left:2px;
    padding-right:2px;
}*/
/*.table>tbody {
    background-color: #ffffff;
}*/
/*.table .btn{
    border: 0;
}*/
.table tbody .form-control {
    font-weight: bold;
}

table thead th, table thead td,
table tbody th, table tbody td,
table tfoot th, table tfoot td,
table.dataTable thead th, table.dataTable thead td,
table.dataTable tbody th, table.dataTable tbody td,
table.dataTable tfoot th, table.dataTable tfoot td {
		padding-top: 0px !important;
		padding-bottom: 0px !important;
    //*cursor: pointer;*/
}
table.dataTable>thead th, table.dataTable thead td {
		padding-left:5px !important;
		padding-right:5px !important;
}
table.dataTable>thead>tr+tr>th, table.dataTable>thead>tr+tr>td {
		padding-left:1px !important;
		padding-right:1px !important;
}

.jstree-default .jstree-disabled.jstree-clicked {
    background: transparent !important;
}
.dts_label {
    display: none;
}
@media (max-width: 576px) {
    .text-end {
        text-align: right !important;
    }
}
@media (max-width: 991px){
    #cont-menuprincipal {
        width: 100%;
    }
    .cont-menuprincipal {
        display: none !important;
    }
    #open-menuprincipal {
        display: block !important;
    }
    header.p-3 {
        padding-bottom: 8px !important;
    }
}

.btn {
    --bs-btn-padding-x: 10px;
    --bs-btn-padding-y: 5px;
    font-weight: bold;
    border-radius: 4px;
    white-space: nowrap;
    /*height: 28px;*/
}
.table-type-text {
    padding-left: 5px !important;
    padding-right: 5px !important;
}
.table-type-check {
    width: 10px;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-btn {
    width: 10px;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-img {
    width: 30px;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-option {
    width: 10px;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-state {
    width: 10px;
    text-align: left;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-input {
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-badge {
    width: 10px;
    text-align: left;
    padding-left: 1px !important;
    padding-right: 1px !important;
}
.table-type-money {
    text-align: right;
    padding-left: 5px !important;
    padding-right: 5px !important;
}
.table-type-date {
    text-align: left;
    padding-left: 5px !important;
    padding-right: 5px !important;
		width: 90px !important;
}
.table-type-datetime {
    text-align: left;
    padding-left: 5px !important;
    padding-right: 5px !important;
		width: 120px !important;
}
.table-type-number {
    text-align: center;
    padding-left: 5px !important;
    padding-right: 5px !important;
}
/* ======================== GRID */
/*.row>* {
    padding-right: 10px;
    padding-left: 10px;
}*/
.row {
    --bs-gutter-x: 5px;
}
/* ======================== FILEUPLOAD */
.fuzone {
    position: relative;
    border: 1px solid #aaaaaa;
    background-color: #e9ecef;
    border-radius: 4px;
    transition: all 0.3s linear;
    display: inline-block;
    width: 100%;
    /*min-height:109px;*/
    margin-top: 0px;
    /*float:left;*/
    cursor:pointer;
}
.fuzone input {
    /*position:absolute;
    top:0;
    left:0;*/
    width:100%;
    height:100%;
    opacity:0;
    /*z-index:100;*/
    cursor:pointer;
}
.fuzone-text {
    text-align: center;
    color: #98AAB8;
    left: 50%;
    margin-left: -115px;
    position: absolute;
    top: 50%;
    margin-top: -25px;
    z-index: 0;
}
.fuzone .fa-solid {
    font-size: 30px;
    display: block;
}
.fuzone-image {
    background-color: #e9ecef;
    height: 100%;
    width: 100%;
    position: absolute;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    position: absolute;
    top: 0;
    border-radius: 4px;
}
.fuzone-close {
    font-size: 12px;
    background-color: #c12e2e;
    padding: 5px;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 15px;
    color: #fff;
}
.fuzone-download {
    font-size: 12px;
    background-color: #0c4a97;
    padding: 5px;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 15px;
    color: #fff;
}
.fuzone-zoom {
    font-size: 12px;
    background-color: #09a0d3;
    padding: 5px;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 15px;
    color: #fff;
}
/* ======================== CARGA */
.mx-subcarga .alert-danger {
  background-color: #f15757;
  padding: 5px;
}
.mx-subcarga .alert-primary {
  background-color: #228bd2;
  padding: 5px;
}
.mx-subcarga .alert-success {
  background-color: #1ead5a;
  padding: 5px;
}
.mx-subcarga .fa-solid {
  font-size: 20px;
}
.mx-carga {
	position: relative;
  float: left;
  width: 100%;
}
.mx-subcarga {
  background-color: rgba(27, 25, 25, 0.3) !important;
  position: absolute !important;
  top: 0px;
  height: 100%;
  width: 100%;
  z-index: 100;
  border-radius: 3px !important;
  text-align: center;
  padding: 0px !important;
  margin-bottom: 0px !important;
  border: 0px solid transparent !important;
}
.mx-contenedor-subcarga {
	top:50%;
	margin-top: -50px;
  position:relative;
  cursor: pointer;
  border-color: transparent;
  color: #fff;
}
.mx-contenedor-subcarga svg {
  color: #fff;    
  height: 49px;
  width: 40px;
}
.mx-mensaje-subcarga {
  font-size:14px;
  padding: 5px;
}
/* carga 3 */
#preloader{
	  top: 5px;
    left: 48%;
    position: relative;
    text-align: left;
    height: 25px;
}
#preloader:before{
    width:15px;
    height:15px;
    border-radius:15px;
    background:blue;
    content:'';
    position:absolute;
    background:#9b59b6;
    animation: preloader_before 1.5s infinite ease-in-out;
}
 
#preloader:after{
    width:15px;
    height:15px;
    border-radius:15px;
    background:blue;
    content:'';
    position:absolute;
    background:#2ecc71;
    left:22px;
    animation: preloader_after 1.5s infinite ease-in-out;
}
 
@keyframes preloader_before {
    0% {transform: translateX(0px) rotate(0deg)}
    50% {transform: translateX(50px) scale(1.2) rotate(260deg); background:#2ecc71;border-radius:0px;}
      100% {transform: translateX(0px) rotate(0deg)}
}
@keyframes preloader_after {
    0% {transform: translateX(0px)}
    50% {transform: translateX(-50px) scale(1.2) rotate(-260deg);background:#9b59b6;border-radius:0px;}
    100% {transform: translateX(0px)}
}
#preloader-icon {
	margin-top: 5px;
	font-size: 35px;
}
@media (max-width: 767px) {
	.mx-br-responsive {
		padding-top: 2px;
		padding-bottom: 2px;
	}
}
/* confirm */
.cont-confirm {
    font-size: 40px;
    color: #0b9c21;
    float: left;
    width: 100%;
    text-align: center;
    margin-bottom: 10px;
}
.confirm {
    border: 2px solid #0b9c21;
    height: 60px;
    width: 60px;
    margin: auto;
    border-radius: 50%;
}
.confirm-texto {
    font-size: 22px;
    color: #000000;
}
.confirm-subtexto {
    font-size: 16px;
    color: #23252b
}
/* carga de bloqueo */
#loader-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #00000057; /* Fondo semitransparente */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* Asegura que esté por encima de todo */
}

.spinner {
  /* Estilos para un spinner de carga */
  border: 4px solid rgba(0, 0, 0, 0.1);
  border-left-color: #22a6b3;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}